Mediflo
REST APIKnowledge

Get the bot’s knowledge-base settings

Required scope: `knowledge.read`.

GET/bots/{botId}/knowledge

Authorization

ApiKeyAuth
AuthorizationBearer <token>

An external API key, sent as Authorization: Bearer mflo_…. Scopes are checked per route; see each operation’s description.

In: header

Path Parameters

botId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/knowledge"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "description": "string",    "isEnabled": true,    "hasIndexedVersion": true,    "settings": {      "enabled": true,      "retrievalMode": "auto",      "requireKnowledge": true,      "maxCharacters": 200,      "maxChunks": 1,      "maxVectorDistance": 0,      "searchDepth": 1,      "timeoutMs": 1,      "requiredTimeoutMs": 1    },    "updatedAt": "2019-08-24T14:15:22Z"  }}